<?php
/**
 * The Template for displaying all single posts
 */
 $orgafe_redux_demo = get_option('redux_demo');

get_header(); ?>

<!--Page Cover-->
<?php if(isset($orgafe_redux_demo['blog_page_image']['url']) && $orgafe_redux_demo['blog_page_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo esc_url($orgafe_redux_demo['blog_page_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/bg15.jpg)">
<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="breadcrumb-text text-center">
                    <h1><?php the_post(); printf( esc_html__( 'All posts by %s', 'orgafe' ), get_the_author() );?></h1>
                    <ul class="breadcrumb-menu">
                        <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'orgafe' );?></a></li>
                        <li><span><?php if(isset($orgafe_redux_demo['blog_index_title'])&& $orgafe_redux_demo['blog_index_title']!=''){?>
                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['blog_index_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'Blog', 'orgafe' );}?>
                        </span></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
    <!-- breadcrumb-area-end -->

<!-- blog-area start -->
<section class="blog-area pt-120 pb-80">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <?php 
                    while (have_posts()): the_post(); 
                    $my_date = get_the_date('F d, Y', false);
                    $video_link = get_post_meta(get_the_ID(),'_cmb_video_link', true); 
                    $audio_iframe = get_post_meta(get_the_ID(),'_cmb_audio_iframe', true); 
                ?>
                <?php if( has_post_format( 'video' , $post_id ) ) {?>
                <article class="postbox post format-video mb-40">       
                    <div class="postbox__video">
                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                        <a class="popup-video video-btn" href="<?php echo esc_attr($video_link);?>"><i
                                class="fas fa-play"></i></a>
                    </div>
                <?php } elseif ( has_post_format( 'gallery' , $post_id )) { ?>
                <article class="postbox post format-gallery mb-40">
                    <div class="postbox__gallery">
                        <?php $gallery = get_post_gallery( get_the_ID(), false );

                        if(isset($gallery['ids'])){    
                            $gallery_ids = $gallery['ids'];
                            $img_ids = explode(",",$gallery_ids);
                            $i=0; $j=0;?>
                            <?php   
                            foreach( $img_ids AS $img_id ){ 
                            $image_src = wp_get_attachment_image_src($img_id,''); 
                            ?>

                            <img src="<?php echo esc_url($image_src[0]); ?>" alt="blog image">

                        <?php } } ?>

                    </div>
                <?php } elseif ( has_post_format( 'audio' , $post_id )) { ?>
                <article class="postbox post format-audio mb-40">
                    <div class="postbox__audio embed-responsive embed-responsive-16by9">
                        <iframe src="<?php echo esc_attr($audio_iframe);?>"></iframe>
                    </div>
                <?php } else { ?>
                <article class="postbox post format-image mb-40">
                    <?php if(wp_get_attachment_url(get_post_thumbnail_id()) !=''){?>
                        <div class="postbox__thumb">
                            <a href="<?php the_permalink();?>">
                                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                            </a>
                        </div>
                    <?php } ?>
                <?php } ?>
                    <div class="postbox__text p-50">
                        <div class="post-meta mb-15">
                            <span><i class="far fa-calendar-check"></i> <?php echo esc_attr($my_date);?> </span>
                            <span><i class="far fa-user"></i> <?php the_author_posts_link(); ?></span>
                            <span><i class="far fa-comments"></i> <?php comments_number( esc_html__('0 Comments', 'orgafe'), esc_html__('1 Comment', 'orgafe'), esc_html__('% Comments', 'orgafe') ); ?></span>
                        </div>
                        <h3 class="blog-title">
                            <a href="<?php the_permalink();?>"><?php the_title();?></a>
                        </h3>
                        <div class="post-text mb-20">
                            <p><?php if(isset($orgafe_redux_demo['blog_excerpt'])&& $orgafe_redux_demo['blog_excerpt']!=''){?>
                            <?php echo esc_attr(orgafe_excerpt($orgafe_redux_demo['blog_excerpt'])); ?>
                            <?php }else{?>
                            <?php echo esc_attr(orgafe_excerpt(40));}?>
                            </p>
                        </div>
                        <div class="read-more mt-30">
                            <a href="<?php the_permalink();?>" class="btn theme-btn"><?php if(isset($orgafe_redux_demo['read_more']) && $orgafe_redux_demo['read_more']!=''){?>
                            <?php echo htmlspecialchars_decode(esc_attr($orgafe_redux_demo['read_more']));?> <?php }else{?>
                            <?php echo esc_html__( 'Read More', 'orgafe' );
                            } ?></a>
                        </div>
                    </div>
                </article>

                <?php endwhile; ?>
                
                <div class="basic-pagination basic-pagination-2 mb-40">
                    <?php orgafe_pagination();?>
                </div>
            </div>
            <div class="col-lg-4">
                <?php get_sidebar();?>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>

