<?php
$orgafe_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/widget/recent-post.php';
// require_once get_template_directory() . '/framework/widget/sidebar-services-menus.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';
//Theme Set up:
function orgafe_theme_setup() {
    /*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */
	add_theme_support( 'custom-header' ); 
	add_theme_support( 'custom-background' );
	$lang = get_template_directory_uri() . '/languages';
  load_theme_textdomain('orgafe', $lang);

    add_theme_support( 'post-thumbnails' );
    // Adds RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );
    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( "title-tag" );
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
    // This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Navigation Menu: Chosen menu in single, blog, pages ...', 'orgafe' ),
	) );
    // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'orgafe_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;

   

function orgafe_fonts_url() {
    $font_url = '';
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'orgafe' ) ) {  
        $font_url = add_query_arg( 'family', urlencode( 'Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic|Raleway:400,100,100italic,200,200italic,300,300italic,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic|Alegreya:400,400italic,700,700italic,900,900italic|PT+Serif:400,400italic,700,700italic&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" ); 
    }
    return $font_url;
}


function orgafe_theme_scripts_styles() {
	$orgafe_redux_demo = get_option('redux_demo');
	$protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'orgafe-fonts1', 'https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900|Rubik:300,400,500,700,900' );
    wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/css/bootstrap.min.css');
    wp_enqueue_style( 'owl-carousel', get_template_directory_uri().'/css/owl.carousel.min.css');
    wp_enqueue_style( 'animate', get_template_directory_uri().'/css/animate.min.css');
    wp_enqueue_style( 'magnific-popup', get_template_directory_uri().'/css/magnific-popup.css');
    wp_enqueue_style( 'fontawesome', get_template_directory_uri().'/css/fontawesome-all.min.css');
    wp_enqueue_style( 'dripicons', get_template_directory_uri().'/css/dripicons.css');
    wp_enqueue_style( 'meanmenu', get_template_directory_uri().'/css/meanmenu.css');
    wp_enqueue_style( 'orgafe-slick', get_template_directory_uri().'/css/slick.css'); 
    wp_enqueue_style( 'orgafe-default', get_template_directory_uri().'/css/default.css'); 
    wp_enqueue_style( 'orgafe-style', get_template_directory_uri().'/css/style.css');
    wp_enqueue_style( 'orgafe-responsive', get_template_directory_uri().'/css/responsive.css');
    wp_enqueue_style( 'style', get_stylesheet_uri(), array(), '2019-25-04' );
    if(isset($orgafe_redux_demo['chosen-color']) && $orgafe_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    }


    if(isset($orgafe_redux_demo['rtl']) && $orgafe_redux_demo['rtl']==1){
    wp_enqueue_style( 'rtl', get_template_directory_uri().'/rtl.css');  }
    
	 if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );

  //Javascript
    wp_enqueue_script("modernizr", get_template_directory_uri()."/js/vendor/modernizr-3.5.0.min.js",array(),false,true);
    wp_enqueue_script("orgafe-jquery", get_template_directory_uri()."/js/vendor/jquery-1.12.4.min.js",array(),false,true);
    wp_enqueue_script("orgafe-popper", get_template_directory_uri()."/js/popper.min.js",array(),false,true);
    wp_enqueue_script("bootstrap", get_template_directory_uri()."/js/bootstrap.min.js",array(),false,true);
    wp_enqueue_script("counterup", get_template_directory_uri()."/js/jquery.counterup.min.js",array(),false,true);
    wp_enqueue_script("countdown", get_template_directory_uri()."/js/jquery.countdown.min.js",array(),false,true);
    wp_enqueue_script("waypoints", get_template_directory_uri()."/js/waypoints.min.js",array(),false,true);
    wp_enqueue_script("owl-carousel", get_template_directory_uri()."/js/owl.carousel.min.js",array(),false,true);
    wp_enqueue_script("isotope", get_template_directory_uri()."/js/isotope.pkgd.min.js",array(),false,true);
    wp_enqueue_script("slick", get_template_directory_uri()."/js/slick.min.js",array(),false,true);
    wp_enqueue_script("meanmenu", get_template_directory_uri()."/js/jquery.meanmenu.min.js",array(),false,true);
    wp_enqueue_script("ajax-form", get_template_directory_uri()."/js/ajax-form.js",array(),false,true);
    wp_enqueue_script("wow", get_template_directory_uri()."/js/wow.min.js",array(),false,true);
    wp_enqueue_script("scroll-up", get_template_directory_uri()."/js/jquery.scrollUp.min.js",array(),false,true);
    wp_enqueue_script("imagesloaded", get_template_directory_uri()."/js/imagesloaded.pkgd.min.js",array(),false,true);
    wp_enqueue_script("magnific-popup", get_template_directory_uri()."/js/jquery.magnific-popup.min.js",array(),false,true);
    wp_enqueue_script("plugins", get_template_directory_uri()."/js/plugins.js",array(),false,true);
    wp_enqueue_script("main", get_template_directory_uri()."/js/main.js",array(),false,true);
    wp_enqueue_script("orgafe-map", $protocol ."://maps.googleapis.com/maps/api/js?key=AIzaSyBvEEMx3XDpByNzYNn0n62Zsq_sVYPx1zY");
}
    
add_action( 'wp_enqueue_scripts', 'orgafe_theme_scripts_styles' );
add_filter('style_loader_tag', 'myplugin_remove_type_attr', 10, 2);
add_filter('script_loader_tag', 'myplugin_remove_type_attr', 10, 2);
function myplugin_remove_type_attr($tag, $handle) {
    return preg_replace( "/type=['\"]text\/(javascript|css)['\"]/", '', $tag );
}

//Custom Excerpt Function
function orgafe_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
}
add_filter('user_contactmethods', 'my_user_contactmethods');  
function my_user_contactmethods($user_contactmethods){  

  $user_contactmethods['facebook'] = 'Facebook Link';  
  $user_contactmethods['twitter'] = 'Twitter Link';
  $user_contactmethods['googleplus'] = 'Google Plus Link';  
  $user_contactmethods['instagram'] = 'Instagram Link';  
  $user_contactmethods['linkedin'] = 'Linkedin Link'; 
  $user_contactmethods['pinterest'] = 'Pinterest Link';
  $user_contactmethods['dribbble'] = 'Dribbble Link';
  $user_contactmethods['job'] = 'Job';  
  
  return $user_contactmethods;  
}  
// Widget Sidebar
function orgafe_widgets_init() {
	register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar', 'orgafe' ),
    'id'            => 'sidebar-1',        
		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'orgafe' ),        
		'before_widget' => '<aside id="%1$s" class="widget mb-40 %2$s" >',        
		'after_widget'  => '</aside>',        
		'before_title'  => '<div class="widget-title-box mb-30"><h3 class="widget-title">',        
		'after_title'   => '</h3></div>'
    ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Sidebar Services', 'orgafe' ),
    'id'            => 'sidebar-services',        
    'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'orgafe' ),        
    'before_widget' => '<aside id="%1$s" class="widget popular-categories %2$s" >',        
    'after_widget'  => '</aside>',        
    'before_title'  => '<div class="sidebar-title">
                                   <h3>',        
    'after_title'   => '</h3>
                              </div>'
    ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer One Widget', 'orgafe' ),
    'id'            => 'footer-area-1',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Two Widget', 'orgafe' ),
    'id'            => 'footer-area-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Three Widget', 'orgafe' ),
    'id'            => 'footer-area-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Four Widget', 'orgafe' ),
    'id'            => 'footer-area-4',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 2.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer One Widget (2)', 'orgafe' ),
    'id'            => 'footer-area-1-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 2.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Two Widget (2)', 'orgafe' ),
    'id'            => 'footer-area-2-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 2.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Three Widget (2)', 'orgafe' ),
    'id'            => 'footer-area-3-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 2.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Four Widget (2)', 'orgafe' ),
    'id'            => 'footer-area-4-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 2.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer One Widget (3)', 'orgafe' ),
    'id'            => 'footer-area-1-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 3.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Two Widget (3)', 'orgafe' ),
    'id'            => 'footer-area-2-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 3.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Three Widget (3)', 'orgafe' ),
    'id'            => 'footer-area-3-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 3.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Four Widget (3)', 'orgafe' ),
    'id'            => 'footer-area-4-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer Home 3.', 'orgafe' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
   
    
     
}
add_action( 'widgets_init', 'orgafe_widgets_init' );

//function tag widgets
function orgafe_tag_cloud_widget($args) {
	$args['number'] = 0; //adding a 0 will display all tags
	$args['largest'] = 18; //largest tag
	$args['smallest'] = 11; //smallest tag
	$args['unit'] = 'px'; //tag font unit
	$args['format'] = 'list'; //ul with a class of wp-tag-cloud
	$args['exclude'] = array(20, 80, 92); //exclude tags by ID
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'orgafe_tag_cloud_widget' );
function orgafe_excerpt() {
  $orgafe_redux_demo = get_option('redux_demo');
  if(isset($orgafe_redux_demo['blog_excerpt'])){
    $limit = $orgafe_redux_demo['blog_excerpt'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function orgafe_excerpt2() {
  $orgafe_redux_demo = get_option('redux_demo');
  if(isset($orgafe_redux_demo['blog_excerpt2'])){
    $limit = $orgafe_redux_demo['blog_excerpt2'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
//pagination
function orgafe_pagination($pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
    'format'    => '',
    'current'     => max( 1, get_query_var('paged') ),
    'total'     => $pages,
    'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fas fa-angle-double-left" aria-hidden="true"></i>', 'orgafe' ),ENT_QUOTES),
    'next_text' => wp_specialchars_decode(esc_html__( '<i class="fas fa-angle-double-right" aria-hidden="true"></i>', 'orgafe' ),ENT_QUOTES),
    'type'      => 'list',
    'end_size'    => 3,
    'mid_size'    => 3
);
    $return =  paginate_links( $pagination );
  echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination">', $return );
}

function orgafe_search_form( $form ) {
    $form = '
    <form action="' . esc_url(home_url('/')) . '"  method="get" >
                                        <div class="input-group">
                                             <input class="form-control" name="s" value="' . get_search_query() . '" id="s" placeholder="'.esc_attr__('Search for...', 'orgafe').'" type="search">
                                             <span class="input-group-btn bg-primary">
                                                  <button class="site-button radius-no" type="submit" >'.esc_attr__('Go', 'orgafe').'</button>
                                             </span>
                                        </div>
                                   </form>
	';
    return $form;
}
add_filter( 'get_search_form', 'orgafe_search_form' );

add_theme_support( 'post-formats', array( 'image','quote','video','audio','gallery' ) );
//Custom comment List:

// Comment Form
function orgafe_theme_comment($comment, $args, $depth) {
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>
  <?php if(get_avatar($comment,$size='80' )!=''){?>

    <div class="comments-box">
        <div class="comments-avatar">
            <?php echo get_avatar($comment,$size='200'); ?>
        </div>
        <div class="comments-text">
            <div class="avatar-name">
                <h5><?php printf( get_comment_author_link()) ?></h5>
                <span><?php comment_time('d M, Y '); ?></span>
                <span class="reply"><i class="fas fa-reply"></i><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></span>
            </div>
            <?php comment_text() ?>
        </div>
    </div>

  <?php }else{?>
      <div class="comment nopadding">
           <div class="comment-info"> <strong><?php printf( get_comment_author_link()) ?></strong>
                <div class="comment-time"><?php the_time('F Y j'); ?>, <?php the_time('G:i'); ?></div>
           </div>
           <p><?php comment_text() ?></p>
           <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
<?php }?>
<?php
}



/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'orgafe_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function orgafe_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'orgafe' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'orgafe' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Widgets', 'orgafe' ),
            'slug'      => 'classic-widgets',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'orgafe' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Contact Form 7', 'orgafe' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'SVG Support', 'orgafe' ),
            'slug'      => 'svg-support',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'WP Maximum Execution Time Exceeded', 'orgafe' ),
            'slug'      => 'wp-maximum-execution-time-exceeded',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Elementor', 'orgafe' ),
            'slug'                     => 'elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Orgafe Common', 'orgafe' ),
            'slug'                     => 'orgafe-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/orgafe-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Orgafe Elementor', 'orgafe' ),
            'slug'                     => 'orgafe-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/orgafe-elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Woocommerce', 'orgafe' ),
            'slug'                     => 'woocommerce',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/woocommerce.zip',
        ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'orgafe' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'orgafe' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'orgafe' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'orgafe' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'orgafe' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'orgafe' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'orgafe' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'orgafe' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'orgafe' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'orgafe' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'orgafe' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'orgafe' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'orgafe' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'orgafe' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'orgafe' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'orgafe' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'orgafe' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581327761&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        ?>