<?php $orgafe_redux_demo = get_option('redux_demo');?>
<!DOCTYPE html>
<html class="no-js" lang="zxx">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <link rel="shortcut icon" href="<?php if(isset($orgafe_redux_demo['favicon']['url'])){?><?php echo esc_url($orgafe_redux_demo['favicon']['url']); ?><?php }?>">
    <?php }?>

    <?php wp_head(); ?>

</head>
<body id="bg" <?php body_class(); ?>>

<!-- header-start -->
<header class="header-transparent">
    <div class="heder-area">
        <div class="container">
            <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-4 d-none d-lg-block">
                    <div class="header-lang  pos-rel">
                        <div class="lang-icon">
                            <i class="fas fa-flag-checkered"></i>
                            <span><?php echo esc_html__( 'EN', 'orgafe' );?> <i class="fas fa-angle-down"></i></span>
                        </div>
                        <ul class="header-lang-list">
                            <li><a href="#"><?php echo esc_html__( 'USA', 'orgafe' );?></a></li>
                            <li><a href="#"><?php echo esc_html__( 'UK', 'orgafe' );?></a></li>
                            <li><a href="#"><?php echo esc_html__( 'CA', 'orgafe' );?></a></li>
                            <li><a href="#"><?php echo esc_html__( 'AU', 'orgafe' );?></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 ">
                    <div class="header-logo text-left text-lg-center">
                        <?php if(isset($orgafe_redux_demo['logo']['url']) && $orgafe_redux_demo['logo']['url'] !== ''){ ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($orgafe_redux_demo['logo']['url']); ?>" alt="" /></a>
                        <?php }else{ ?>
                        <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo get_template_directory_uri();?>/img/logo/logo.png" alt="" /></a>
                        <?php } ?>
                    </div>
                </div>
                <?php if(isset($orgafe_redux_demo['header_button_text'])&& $orgafe_redux_demo['header_button_text']!=''){?>
                <div class="col-xl-4 col-lg-4 col-md-4 d-none d-lg-block">
                    <div class="heder-button text-md-right">
                        <a class="btn" href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['header_button_link']));?>"><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['header_button_text']));?></a>
                    </div>
                </div>
                <?php }else{?> 
                <div class="col-xl-4 col-lg-4 col-md-4 d-none d-lg-block">
                    <div class="heder-button text-md-right">
                        <a class="btn" href="#"><?php echo esc_html__( 'Our Services', 'orgafe' );?></a>
                    </div>
                </div>  
                <?php } ?>
                <div class="col-12">
                    <div class="mobile-menu"></div>
                </div>
            </div>
        </div>
    </div>
        <div id="sticky-header" class="main-menu-area d-none d-lg-block">
            <div class="container">
                <div class="menu-border">
                    <div class="row">
                        <div class="col-xl-3 col-lg-2 d-flex">
                            <div class="menu-bar info-bar text-right d-none d-md-none d-lg-block">
                                <span></span>
                                <span></span>
                                <span></span>
                            </div>
                        </div>
                        <div class="col-xl-7 col-lg-8">
                            <div class="main-menu">
                                <nav id="mobile-menu">
                                    <?php 
                                      wp_nav_menu( 

                                      array( 

                                            'theme_location' => 'primary',

                                            'container' => '',

                                            'menu_class' => '', 

                                            'menu_id' => '',

                                            'menu'            => '',

                                            'container_class' => '',

                                            'container_id'    => '',

                                            'echo'            => true,

                                             'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                                             'walker'            => new orgafe_wp_bootstrap_navwalker(),

                                            'before'          => '',

                                            'after'           => '',

                                            'link_before'     => '',

                                            'link_after'      => '',

                                            'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',

                                            'depth'           => 0,        

                                        )

                                    ); ?>
                                </nav>
                            </div>
                        </div>
                        <div class="col-xl-2 col-lg-2">
                            <div class="header-right f-right d-none d-md-block">
                                <ul>
                                    <li class="unser-icon"><a href="#"><i class="dripicons-user"></i></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="extra-info">
            <div class="close-icon">
                <button>
                    <i class="far fa-window-close"></i>
                </button>
            </div>
            <div class="logo-side mb-30">
                <a href="<?php echo esc_url(home_url('/')); ?>">
                    <?php if(isset($orgafe_redux_demo['logo']['url']) && $orgafe_redux_demo['logo']['url'] !== ''){ ?>
                    <img src="<?php echo esc_url($orgafe_redux_demo['logo2']['url']); ?>" alt="" />
                    <?php } else { ?>
                    <img src="<?php echo get_template_directory_uri();?>/img/logo/logo-white.png" alt="" />
                    <?php } ?>
                </a>
            </div>
            <div class="side-info mb-30">
                <div class="contact-list mb-30">
                    <h4><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['extra_title1']));?></h4>
                    <p><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['extra_subtitle1']));?></p>
                </div>
                <div class="contact-list mb-30">
                    <h4><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['extra_title2']));?></h4>
                    <p><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['extra_subtitle2']));?></p>
                </div>
                <div class="contact-list mb-30">
                    <h4><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['extra_title3']));?></h4>
                    <p><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['extra_subtitle3']));?></p>
                </div>
            </div>
            <div class="instagram">

                <?php 

                $gallery11 = $orgafe_redux_demo['extra_gallery'];

                $gallerys11 = explode(",", $gallery11);

                foreach($gallerys11 as $image):

                ?>
            
                <a href="javascript:void(0)"><img src="<?php $imag_var = wp_get_attachment_image_src($image); echo $imag_var[0]; ?>" alt=""></a>
     
                <?php endforeach; ?>
                 
            </div>
            <div class="social-icon-right mt-20">
                <?php if(isset($orgafe_redux_demo['header_facebook']) && $orgafe_redux_demo['header_facebook'] !== ''){ ?>
                <a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['header_facebook']));?>">
                    <i class="fab fa-facebook-f"></i>
                </a>
                <?php } ?>
                <?php if(isset($orgafe_redux_demo['header_twitter']) && $orgafe_redux_demo['header_twitter'] !== ''){ ?>
                <a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['header_twitter']));?>">
                    <i class="fab fa-twitter"></i>
                </a>
                <?php } ?>
                <?php if(isset($orgafe_redux_demo['header_google_plus']) && $orgafe_redux_demo['header_google_plus'] !== ''){ ?>
                <a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['header_google_plus']));?>">
                    <i class="fab fa-google-plus-g"></i>
                </a>
                <?php } ?>
                <?php if(isset($orgafe_redux_demo['header_instagram']) && $orgafe_redux_demo['header_instagram'] !== ''){ ?>
                <a href="<?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['header_instagram']));?>">
                    <i class="fab fa-instagram"></i>
                </a>
                <?php } ?>
            </div>
        </div>
</header>
<main>