<?php
/*
* Template Name: 404 Page
* Description: A Page Template with a Page Builder design.
*/
 $orgafe_redux_demo = get_option('redux_demo');
get_header(); ?> 

<?php if(isset($orgafe_redux_demo['404_bg_image']['url']) && $orgafe_redux_demo['404_bg_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo esc_url($orgafe_redux_demo['404_bg_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/bg15.jpg)">
<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="breadcrumb-text text-center">
                    <h1><?php echo esc_html__( '404 Error', 'orgafe' );?></h1>
                    <ul class="breadcrumb-menu">
                        <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'home', 'orgafe' );?></a></li>
                        <li><span><?php echo esc_html__( '404', 'orgafe' );?></span></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- breadcrumb-area-end -->

<!-- four-zero-area-start -->
<div class="four-zero-area pt-115 pb-120">
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="four-zero-wrapper text-center">
                    <?php if(isset($orgafe_redux_demo['404_image']['url']) && $orgafe_redux_demo['404_image']['url'] != ''){?>
                    <div class="four-zero-img mb-40">
                        <img src="<?php echo esc_url($orgafe_redux_demo['404_image']['url']);?>" alt="" />
                    </div>
                    <?php }else{?>
                    <div class="four-zero-img mb-40">
                        <img src="<?php echo get_template_directory_uri();?>/img/bg/404.png" alt="" />
                    </div>
                    <?php } ?>
                    <div class="four-zero-text">
                        <?php if(isset($orgafe_redux_demo['404_text']) && $orgafe_redux_demo['404_text'] != '') { ;?>
                        <h1 class="mb-40"><?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['404_text']));?></h1>
                        <?php } else { ;?>
                        <h1 class="mb-40"><?php echo esc_html__( 'Page Not Found', 'orgafe' );?></h1>
                        <?php } ;?>
                        <?php if(isset($dashcore_redux_demo['404_btn']) && $dashcore_redux_demo['404_btn'] != '') { ?>
                        <a class="btn" href="<?php echo esc_url(home_url('/')); ?>"><?php echo wp_specialchars_decode(esc_attr($dashcore_redux_demo['404_btn']));?></a>
                        <?php } else { ;?>
                        <a class="btn" href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Go To Home Page', 'orgafe' );?></a>
                        <?php } ;?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>