<?php
/**
 * The Template for displaying all single posts
 */
 $orgafe_redux_demo = get_option('redux_demo');

get_header(); ?>
<?php 
    while (have_posts()): the_post(); 
    $my_date = get_the_date('F d, Y', false);
    $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true); 
    $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true); 
    $single_instagram = get_post_meta(get_the_ID(),'_cmb_single_instagram', true); 
    $single_google_plus = get_post_meta(get_the_ID(),'_cmb_single_google_plus', true); 
    $single_vimeo = get_post_meta(get_the_ID(),'_cmb_single_vimeo', true); 
    $video_link = get_post_meta(get_the_ID(),'_cmb_video_link', true); 
    $audio_iframe = get_post_meta(get_the_ID(),'_cmb_audio_iframe', true); 
?>


<!--Page Cover-->
<?php if(isset($orgafe_redux_demo['blog_image']['url']) && $orgafe_redux_demo['blog_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo esc_url($orgafe_redux_demo['blog_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/bg15.jpg)">
<?php } ?>
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="breadcrumb-text text-center">
                            <h1><?php if(isset($orgafe_redux_demo['blog_post_title']) && $orgafe_redux_demo['blog_post_title']!=''){?>
                                    <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['blog_post_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Blog Details', 'orgafe' );
                                    }?></h1>
                            <ul class="breadcrumb-menu">
                                <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'orgafe' );?></a></li>
                                <li><span><?php if(isset($orgafe_redux_demo['blog_post_title']) && $orgafe_redux_demo['blog_post_title']!=''){?>
                                    <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['blog_post_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Blog Details', 'orgafe' );
                                    }?></span></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb-area-end -->

        <!-- blog-area start -->
        <section class="blog-area pt-120 pb-80" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">

                        <?php if( has_post_format( 'video' , $post_id ) ) {?>
                        <article class="postbox post format-video mb-40">       
                            <div class="postbox__video mb-15">
                                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                                <a class="popup-video video-btn" href="<?php echo esc_attr($video_link);?>"><i
                                        class="fas fa-play"></i></a>
                            </div>
                        <?php } elseif ( has_post_format( 'gallery' , $post_id )) { ?>
                        <article class="postbox post format-gallery mb-40">
                            <div class="postbox__gallery mb-15">
                                <?php $gallery = get_post_gallery( get_the_ID(), false );

                                if(isset($gallery['ids'])){    
                                    $gallery_ids = $gallery['ids'];
                                    $img_ids = explode(",",$gallery_ids);
                                    $i=0; $j=0;?>
                                    <?php   
                                    foreach( $img_ids AS $img_id ){ 
                                    $image_src = wp_get_attachment_image_src($img_id,''); 
                                    ?>

                                    <img src="<?php echo esc_url($image_src[0]); ?>" alt="blog image">

                                <?php } } ?>

                            </div>
                        <?php } elseif ( has_post_format( 'audio' , $post_id )) { ?>
                        <article class="postbox post format-audio mb-40">
                            <div class="postbox__audio embed-responsive embed-responsive-16by9 mb-15">
                                <iframe src="<?php echo esc_attr($audio_iframe);?>"></iframe>
                            </div>
                        <?php } else { ?>
                        <article class="postbox post format-image mb-40">
                            <?php if(get_post_thumbnail_id() != ''){?>
                            <div class="postbox__thumb mb-35">
                                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                            </div>
                            <?php } ?>
                        <?php } ?>
                            
                            <div class="postbox__text bg-none">
                                <div class="post-meta mb-15">
                                    <span><i class="far fa-calendar-check"></i> <?php echo esc_attr($my_date);?> </span>
                                    <span><i class="far fa-user"></i> <?php the_author_posts_link(); ?></span>
                                    <span><a href="#comments-1"><i class="far fa-comments"></i> <?php comments_number( esc_html__('0 Comments', 'orgafe'), esc_html__('1 Comment', 'orgafe'), esc_html__('% Comments', 'orgafe') ); ?></a></span>
                                </div>
                                <h3 class="blog-title">
                                    <?php the_title();?>
                                </h3>
                                <div class="post-text mb-20">
                                    <?php the_content(); ?>
                                        <?php wp_link_pages( array(
                                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'orgafe' ),
                                        'after'       => '</div>',
                                        'link_before' => '<span class="page-number">',
                                        'link_after'  => '</span>',) ); 
                                    ?>
                                </div>
                                <div class="row mt-50">
                                    
                                    <div class="col-xl-8 col-lg-8 col-md-8 mb-15">
                                        <?php if(get_the_tag_list() != ''){?>
                                        <div class="blog-post-tag">
                                            <span><?php echo esc_html__( 'Releted Tags', 'orgafe' );?></span>
                                            <?php echo get_the_tag_list();?>
                                        </div>
                                        <?php }?>
                                    </div>
                                    <?php if (($single_facebook != '') || ($single_twitter != '') || ($single_instagram != '') || ($single_instagram != '') || ($single_google_plus != '') || ($single_vimeo != '')){ ?>
                                    <div class="col-xl-4 col-lg-4 col-md-4 mb-15">
                                        <div class="blog-share-icon text-left text-md-right">
                                            <span><?php echo esc_html__( 'Share:', 'orgafe' );?> </span>
                                            <?php if($single_facebook != ''){ ?>
                                            <a href="<?php echo esc_attr($single_facebook);?>"><i class="fab fa-facebook-f"></i></a>
                                            <?php }?>
                                            <?php if($single_twitter != ''){ ?>
                                            <a href="<?php echo esc_attr($single_twitter);?>"><i class="fab fa-twitter"></i></a>
                                            <?php }?>
                                            <?php if($single_instagram != ''){ ?>
                                            <a href="<?php echo esc_attr($single_instagram);?>"><i class="fab fa-instagram"></i></a>
                                            <?php }?>
                                            <?php if($single_google_plus != ''){ ?>
                                            <a href="<?php echo esc_attr($single_google_plus);?>"><i class="fab fa-google-plus-g"></i></a>
                                            <?php }?>
                                            <?php if($single_vimeo != ''){ ?>
                                            <a href="<?php echo esc_attr($single_vimeo);?>"><i class="fab fa-vimeo-v"></i></a>
                                            <?php }?>
                                        </div>
                                    </div>
                                    <?php }?>
                                </div>
                                
                            </div>
                 
                            <?php comments_template();?>

                        </article>
                    </div>
                    <div class="col-lg-4">
                        <?php get_sidebar();?>
                    </div>
                </div>
            </div>
        </section>
<?php endwhile; ?>
<?php
  get_footer();
?>
