<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<?php 
$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();
$average      = $product->get_average_rating();
$display_price         = $product->get_display_price();
$display_regular_price = $product->get_display_price( $product->get_regular_price() );
$xxx         = ($display_regular_price - $display_price) / $display_regular_price * 100; 

?>

<div class="col-xl-3 col-lg-3 col-md-6">
    <div class="product-wrapper text-center mb-30">
        <div class="product-img">
            <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a>
        </div>
        <?php if($xxx!==0) { ;?>
          <div class="on-sale">
              <span>-<?php echo floor($xxx); ?>%</span>
          </div>
        <?php } ?>
        <div class="product-text">
            <h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
            <div class="rating">
                <div class="woocommerce-product-rating" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
                <div class="star-rating" title="<?php printf( __( 'Rated %s out of 5', 'woocommerce' ), $average ); ?>">
                      <span style="width:<?php echo ( ( $average / 5 ) * 100 ); ?>%">
                          <strong itemprop="ratingValue" class="rating"><?php echo esc_html( $average ); ?></strong> <?php printf( __( 'out of %s5%s', 'woocommerce' ), '<span itemprop="bestRating">', '</span>' ); ?>
                          <?php printf( _n( 'based on %s customer rating', 'based on %s customer ratings', $rating_count, 'woocommerce' ), '<span itemprop="ratingCount" class="rating">' . $rating_count . '</span>' ); ?>
                      </span>
                  </div>
                </div>
            </div>
            <div class="pro-price">
                <span><?php echo $product->get_price_html(); ?></span>
            </div>
        </div>
    </div>
</div>
