<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<div class="col-md-4 col-sm-4 col-xs-12 m-top30" <?php post_class('prd_list text-center enitre_mouse'); ?>>
	<div class="text-center shop-product border shadow radius">
	<span class="wdt_img shadow_effect effect-apollo mbot25 ">
	<?php if ( has_post_thumbnail() ) { ?>
	<a href="<?php the_permalink();?>">
	<img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="" class="img-responsive">
	</a>
	<?php } ?>
	</span>
    <h3 class="fnt_dark_color_c1 letter_spac0" style="margin: 15px 0px;"><?php the_title(); ?></h3>
    <div class="shop-item-rate">
		        <?php

				if ( ! defined( 'ABSPATH' ) ) {
					exit; // Exit if accessed directly
				}

				global $product;

				if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' ) {
					return;
				}

				$rating_count = $product->get_rating_count();
				$review_count = $product->get_review_count();
				$average      = $product->get_average_rating();

				if ( $rating_count > 0 ) : ?>
                <div class="woocommerce-product-rating" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
		<div class="star-rating" title="<?php printf( __( 'Rated %s out of 5', 'woocommerce' ), $average ); ?>">
			<span style="width:<?php echo ( ( $average / 5 ) * 100 ); ?>%">
				<strong itemprop="ratingValue" class="rating"><?php echo esc_html( $average ); ?></strong> <?php printf( __( 'out of %s5%s', 'woocommerce' ), '<span itemprop="bestRating">', '</span>' ); ?>
				<?php printf( _n( 'based on %s customer rating', 'based on %s customer ratings', $rating_count, 'woocommerce' ), '<span itemprop="ratingCount" class="rating">' . $rating_count . '</span>' ); ?>
			</span>
		</div>
	</div>
                <?php endif; ?>
    </div>
    <p style="margin: 15px 0px;"><?php if(isset($hostpro_redux_demo['product_excerpt'])){?>
                        <?php echo esc_attr(hostpro_excerpt($hostpro_redux_demo['product_excerpt'])); ?>
                        <?php }else{?>
                        <?php echo esc_html__( 'There are many variations of passages of Lorem There', 'hostpro' ); }?></p>
    <a class="btn btn-primary btn-xlg" href="<?php the_permalink();?>"><?php echo esc_html__( 'More Info', 'hostpro' );?></a>
</div>
</div>
