<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php
	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
	global $post, $product, $woocommerce;
	$attachment_ids = $product->get_gallery_attachment_ids();
	if ( $attachment_ids ) {
	$loop 		= 0;
	$columns 	= apply_filters( 'woocommerce_product_thumbnails_columns', 3 );
	$single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true); 
    $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true); 
    $single_linkedin = get_post_meta(get_the_ID(),'_cmb_single_linkedin', true); 
    $single_youtube = get_post_meta(get_the_ID(),'_cmb_single_youtube', true); 
    $single_behance = get_post_meta(get_the_ID(),'_cmb_single_behance', true); 
?>
			<div class="col-xl-6 col-lg-6">
		        <div class="product-details-img mb-20">
		            <div class="tab-content" id="myTabContent3">
		                <?php foreach ( $attachment_ids as $attachment_id ) { ?>
							<?php if ($loop == 0) { ?>
							<div class="tab-pane fade show active" id="home" role="tabpanel">
                                <div class="product-large-img">
                                    <?php	

                                    	$props       = wc_get_product_attachment_props( $attachment_id, $post );

										if ( ! $props['url'] ) {
											continue;
										}

										echo apply_filters(
											'woocommerce_single_product_image_thumbnail_html',
											sprintf(
												'%s',

												wp_get_attachment_image( $attachment_id, 1000)
											),
											$attachment_id,
											$post->ID,
											esc_attr( $image_class )
										);

										$loop++;
									?>
                                </div>
                            </div>
                        	<?php } else { ?>
                        	<div class="tab-pane fade" id="profile<?php echo htmlspecialchars_decode(esc_attr($loop));?>" role="tabpanel">
			                    <div class="product-large-img">
			                        <?php	

                                    	$props       = wc_get_product_attachment_props( $attachment_id, $post );

										if ( ! $props['url'] ) {
											continue;
										}

										echo apply_filters(
											'woocommerce_single_product_image_thumbnail_html',
											sprintf(
												'%s',

												wp_get_attachment_image( $attachment_id, 1000)
											),
											$attachment_id,
											$post->ID,
											esc_attr( $image_class )
										);

										$loop++;
									?>
			                    </div>
			                </div>
                        	<?php } ?>
						<?php } ?>

		                
		            </div>
		        </div>
		        <?php $i = 0 ?>
		        <div class="shop-thumb-tab mb-30">
		            <ul class="nav" id="myTab2" role="tablist">
		            	<?php foreach ( $attachment_ids as $attachment_id ) { ?>
		            	<?php if ($i == 0) { ?>
		                <li class="nav-item">
		                    <a class="nav-link active <?php echo htmlspecialchars_decode(esc_attr($i));?>" id="home-tab" data-toggle="tab" href="#home" role="tab"
		                        aria-selected="true">
		                        <?php	

                                	$props       = wc_get_product_attachment_props( $attachment_id, $post );

									if ( ! $props['url'] ) {
										continue;
									}

									echo apply_filters(
										'woocommerce_single_product_image_thumbnail_html',
										sprintf(
											'%s',

											wp_get_attachment_image( $attachment_id, 1000)
										),
										$attachment_id,
										$post->ID,
										esc_attr( $image_class )
									);

									$i++;
								?> 
							</a>
		                </li>
		                <?php } else { ?>
		                <li class="nav-item">
		                    <a class="nav-link" id="profile-tab<?php echo htmlspecialchars_decode(esc_attr($i));?>" data-toggle="tab" href="#profile<?php echo htmlspecialchars_decode(esc_attr($i));?>" role="tab"
		                        aria-selected="false">
		                        <?php	

                                	$props       = wc_get_product_attachment_props( $attachment_id, $post );

									if ( ! $props['url'] ) {
										continue;
									}

									echo apply_filters(
										'woocommerce_single_product_image_thumbnail_html',
										sprintf(
											'%s',

											wp_get_attachment_image( $attachment_id, 1000)
										),
										$attachment_id,
										$post->ID,
										esc_attr( $image_class )
									);

									$i++;
								?></a>
		                </li>
						<?php } ?>
						<?php } ?>
		            </ul>
		        </div>
		    </div>
 <?php }	?>
			<div class="col-xl-6 col-lg-6">
                <div class="product-details mb-30">
                    <?php
						/**
						 * woocommerce_single_product_summary hook.
						 *
						 * @hooked woocommerce_template_single_title - 5
						 * @hooked woocommerce_template_single_excerpt - 10
						 * @hooked woocommerce_template_single_price - 20
						 * @hooked woocommerce_template_single_add_to_cart - 30
						 * @hooked woocommerce_template_single_meta - 40
						 * @hooked woocommerce_template_single_sharing - 50
						 */
						do_action( 'woocommerce_single_product_summary' );
					?>
					<div class="product-social mb-30">
						<?php if($single_facebook != ''){ ?>
                        <a href="<?php echo esc_attr($single_facebook);?>"><i class="fab fa-facebook-f"></i></a>
                        <?php }?>
                        <?php if($single_twitter != ''){ ?>
                        <a href="<?php echo esc_attr($single_twitter);?>"><i class="fab fa-twitter"></i></a>
                        <?php }?>
                        <?php if($single_behance != ''){ ?>
                        <a href="<?php echo esc_attr($single_behance);?>"><i class="fab fa-behance"></i></a>
                        <?php }?>
                        <?php if($single_linkedin != ''){ ?>
                        <a href="<?php echo esc_attr($single_linkedin);?>"><i class="fab fa-linkedin-in"></i></a>
                        <?php }?>
                        <?php if($single_youtube != ''){ ?>
                        <a href="<?php echo esc_attr($single_youtube);?>"><i class="fab fa-youtube"></i></a>
                        <?php }?>
	                </div>
                </div>
            </div>
<?php
	/**
	 * woocommerce_after_single_product_summary hook.
	 *
	 * @hooked woocommerce_output_product_data_tabs - 10
	 * @hooked woocommerce_upsell_display - 15
	 * @hooked woocommerce_output_related_products - 20
	 */
	do_action( 'woocommerce_after_single_product_summary' );
?>

	<meta itemprop="url" content="<?php the_permalink(); ?>" />



<?php do_action( 'woocommerce_after_single_product' ); ?>
