
<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
 $hostpro_redux_demo = get_option('redux_demo');
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>
<?php while ( have_posts() ) : the_post(); ?>

<?php if(isset($orgafe_redux_demo['product_image']['url']) && $orgafe_redux_demo['product_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo esc_url($orgafe_redux_demo['product_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-margin pt-260 pb-180" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/bg15.jpg)">
<?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="breadcrumb-text text-center">
                    <h1><?php the_title();?></h1>
                    <ul class="breadcrumb-menu">
                        <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'orgafe' );?></a></li>
                        <li><span><?php if(isset($orgafe_redux_demo['product_post_title']) && $orgafe_redux_demo['product_post_title']!=''){?>
                        <?php echo wp_specialchars_decode(esc_attr($orgafe_redux_demo['product_post_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'PRODUCT DETAILS PAGE', 'orgafe' );
                        }?></span></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- breadcrumb-area-end -->

<!-- shop-banner-area start -->
<section class="shop-banner-area pt-120 pb-120">
    <div class="container">
      <div class="row">
        <?php wc_get_template_part( 'content', 'single-product' ); ?>
      </div>
    </div>
</section>

<?php endwhile; ?>

<?php get_footer(); ?>
